[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# linger

Record used in setsockopt

## Declaration

Source position: socketsh.inc line 100

`type linger = packed record`
`l_onoff: cint;` |  | Linger on or off
`l_linger: cint;` |  | Time to linger
`end;`

## Description

This record is used in the fpsetsockopt call to specify linger options.

## See also

fpsetsockopt |  | Set socket options.